ScriptWriterParserInternal::HFData Struct Reference documentation

ScriptWriterParserInternal::HFData Struct Reference

Internal: the data of a header footer of a ScriptWriterParser. More...

## Public Member Functions
| HFData ()
| constructor
bool | empty () const
| returns true if the zone is empty
bool | hasDate () const
| returns true if the zone has a date
bool | hasPageNumber () const
| returns true if the zone has a page number

## Public Attributes
int | m_numFrames
| the number of frames: text zone
std::vector< Frame > | m_frames
| the list of frames
MWAWVec2i | m_pageNumberOrigin
| the page number origin, only valid if 0<dim[0]<1000
MWAWVec2i | m_dateOrigin
| the date field origin, only valid if 0<dim[0]<1000
bool | m_hasPicture
| a flag to know if there is a picture
MWAWBox2i | m_picturePosition
| the picture position
MWAWEntry | m_picture
| the picture entry

## Detailed Description

Internal: the data of a header footer of a ScriptWriterParser.

## Constructor & Destructor Documentation

## ◆ HFData()

ScriptWriterParserInternal::HFData::HFData | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ empty()

bool ScriptWriterParserInternal::HFData::empty | ( |  | ) | const
| inline

returns true if the zone is empty

## ◆ hasDate()

bool ScriptWriterParserInternal::HFData::hasDate | ( |  | ) | const
| inline

returns true if the zone has a date

Referenced by empty(), and ScriptWriterParser::send().

## ◆ hasPageNumber()

bool ScriptWriterParserInternal::HFData::hasPageNumber | ( |  | ) | const
| inline

returns true if the zone has a page number

Referenced by empty(), and ScriptWriterParser::send().

## Member Data Documentation

## ◆ m_dateOrigin

MWAWVec2i ScriptWriterParserInternal::HFData::m_dateOrigin

the date field origin, only valid if 0<dim[0]<1000

Referenced by hasDate(), HFData(), ScriptWriterParser::readDocument(), and ScriptWriterParser::send().

## ◆ m_frames

std::vector<Frame> ScriptWriterParserInternal::HFData::m_frames

the list of frames

Referenced by empty(), HFData(), and ScriptWriterParser::send().

## ◆ m_hasPicture

bool ScriptWriterParserInternal::HFData::m_hasPicture

a flag to know if there is a picture

Referenced by empty(), HFData(), ScriptWriterParser::readDocument(), and ScriptWriterParser::send().

## ◆ m_numFrames

int ScriptWriterParserInternal::HFData::m_numFrames

the number of frames: text zone

Referenced by HFData(), and ScriptWriterParser::readDocument().

## ◆ m_pageNumberOrigin

MWAWVec2i ScriptWriterParserInternal::HFData::m_pageNumberOrigin

the page number origin, only valid if 0<dim[0]<1000

Referenced by hasPageNumber(), HFData(), ScriptWriterParser::readDocument(), and ScriptWriterParser::send().

## ◆ m_picture

MWAWEntry ScriptWriterParserInternal::HFData::m_picture

the picture entry

Referenced by HFData(), and ScriptWriterParser::send().

## ◆ m_picturePosition

MWAWBox2i ScriptWriterParserInternal::HFData::m_picturePosition

the picture position

Referenced by HFData(), ScriptWriterParser::readDocument(), and ScriptWriterParser::send().

The documentation for this struct was generated from the following file:

- ScriptWriterParser.cxx